#include "Plane.h"

namespace Torch {

void Plane::saveXFile(XFile *file)
{
   	P0.saveXFile(file);
   	n.saveXFile(file);
}

void Plane::loadXFile(XFile *file)
{
   	P0.loadXFile(file);
   	n.loadXFile(file);
}

const char *Plane::sprint()
{
	sprintf(buf_sprint, "{(%g, %g, %g) (%g, %g, %g)}", P0.x, P0.y, P0.z, n.x, n.y, n.z);

	return buf_sprint;
}

void Plane::draw(Image *image, Color color)
{
   	message("Don't know how to draw in 3D.");
}

}
