#ifndef PEARSON_INC
#define PEARSON_INC

#include "Metric.h"

namespace Torch {

/** This class is designed to compute the Pearson distance

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class mPearson : public Metric
{
public:
	//-----
	
	///
	mPearson(int n_inputs_);

	///
	virtual real measure(real *sample_, real *template_ = NULL);

	///
	virtual ~mPearson() {};
};

}

#endif

