#include "ipSubWindow.h"

namespace Torch {
   
ipSubWindow::ipSubWindow(int width_image_, int height_image_, 
		int width_pattern_, int height_pattern_, real threshold_) 
		: ipCore("gray")
{
	//
	width_pattern = width_pattern_;
        height_pattern = height_pattern_;
        width_image = width_image_;
        height_image = height_image_;
	
	//	
	x_window = -1;
	y_window = -1;
	w_window = -1;
	h_window = -1;
	
	//
	real_x_window = -1;
	real_y_window = -1;

	//
	threshold = threshold_;

	//
	ispattern = false;

	//
	view = 0;
	
	seq_out = new(allocator) Sequence(1, 1);
}

ipSubWindow::~ipSubWindow()
{
}

}
