#ifndef MY_PROGRESS_BAR_INC
#define MY_PROGRESS_BAR_INC

#include "Object.h"

namespace Torch {

/** This class is designed to print a progress bar

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class mProgressBar : public Object
{
public:
	int counter;
	int n;
	int N;
	int prefix_len;
	
	/// create a progress bar
	mProgressBar(int n_, int N_);

	///
	void reset(char *prefix_ = NULL);

	///
	void next(int counter_);
	   
	///
	void stop();

	///
	~mProgressBar();
};

}

#endif
