#ifndef STANDARD_CORRELATION_INC
#define STANDARD_CORRELATION_INC

#include "Metric.h"

namespace Torch {

/** This class is designed to compute the standard correlation distance

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class mStdCorrelation : public Metric
{
public:
	//-----
	
	///
	mStdCorrelation(int n_inputs_);

	///
	virtual real measure(real *sample_, real *template_ = NULL);

	///
	virtual ~mStdCorrelation() {};
};

}

#endif

