#ifndef STANDARD_COVARIANCE_INC
#define STANDARD_COVARIANCE_INC

#include "Metric.h"

namespace Torch {

/** This class is designed to compute the standard covariance distance

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class mStdCovariance : public Metric
{
public:
	//-----
	
	///
	mStdCovariance(int n_inputs_);

	///
	virtual real measure(real *sample_, real *template_ = NULL);

	///
	virtual ~mStdCovariance() {};
};

}

#endif

